Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.lookup.entry
Class Address

    java.lang.Object
      net.jini.entry.AbstractEntry
          net.jini.lookup.entry.Address

All Implemented Interfaces:
  Entry, Serializable

public class Address
extends AbstractEntry

The address of the physical component of a service. This is distinct from the Location class in that it is intended for use with the Location class in geographically dispersed organizations.

See Also:
  `Location`, `AddressBean`, Serialized Form

Field Summary
`String` | `country` Country name.
`String` | `locality` City or locality name.
`String` | `organization` Name of the company or organization that provides this service.
`String` | `organizationalUnit` The unit within the organization that provides this service.
`String` | `postalCode` Postal code.
`String` | `stateOrProvince` Full name or standard postal abbreviation of a state or province.
`String` | `street` Street address.

Constructor Summary
`Address()` Construct an empty instance of this class.
`Address(String street, String organization, String organizationalUnit, String locality, String stateOrProvince, String postalCode, String country)` Construct an instance of this class, with all fields initialized appropriately.

Methods inherited from class net.jini.entry.AbstractEntry
`equals, equals, hashCode, hashCode, toString, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### street

    public String street

  Street address. For example, "901 San Antonio Road".

### organization

    public String organization

  Name of the company or organization that provides this service. For example, "Sun Microsystems".

### organizationalUnit

    public String organizationalUnit

  The unit within the organization that provides this service. For example, "Information Services".

### locality

    public String locality

  City or locality name. For example, "Palo Alto".

### stateOrProvince

    public String stateOrProvince

  Full name or standard postal abbreviation of a state or province. For example, "CA" (for California).

### postalCode

    public String postalCode

  Postal code. For example, in the United States, this is a ZIP code; in Ireland, it might be either empty or a postal district of Dublin.

### country

    public String country

  Country name.

Constructor Detail

### Address

    public Address()

  Construct an empty instance of this class.

### Address

    public Address(String street,
                   String organization,
                   String organizationalUnit,
                   String locality,
                   String stateOrProvince,
                   String postalCode,
                   String country)

  Construct an instance of this class, with all fields initialized appropriately.

Parameters:
  `street` - a String representing the street address
  `organization` - a String representing the organization
  `organizationalUnit` - a String representing the organizational unit
  `locality` - a String representing the locality
  `stateOrProvince` - a String representing the state or province
  `postalCode` - a String representing the postal code
  `country` - a String representing the country

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved